Index: send.php
===================================================================
--- send.php	(revision 3164)
+++ send.php	(working copy)
@@ -44,7 +44,7 @@
 $prj_id = Auth::getCurrentProject();
 $usr_id = Auth::getUserID();
 
-@$issue_id = $HTTP_GET_VARS["issue_id"] ? $HTTP_GET_VARS["issue_id"] : $HTTP_POST_VARS["issue_id"];
+@$issue_id = $_GET["issue_id"] ? $_GET["issue_id"] : $_POST["issue_id"];
 $tpl->assign("issue_id", $issue_id);
 
 if (!Issue::canAccess($issue_id, $usr_id)) {
@@ -56,50 +56,50 @@
 // since emails associated with issues are sent to the notification list, not the to: field, set the to field to be blank
 // this field should already be blank, but may also be unset.
 if (!empty($issue_id)) {
-    $HTTP_POST_VARS['to'] = '';
+    $_POST['to'] = '';
 }
 
-if (@$HTTP_POST_VARS["cat"] == "send_email") {
-    $res = Support::sendEmail($HTTP_POST_VARS['parent_id']);
+if (@$_POST["cat"] == "send_email") {
+    $res = Support::sendEmail($_POST['parent_id']);
     $tpl->assign("send_result", $res);
-    if (!@empty($HTTP_POST_VARS['new_status'])) {
-        $res = Issue::setStatus($issue_id, $HTTP_POST_VARS['new_status']);
+    if (!@empty($_POST['new_status'])) {
+        $res = Issue::setStatus($issue_id, $_POST['new_status']);
         if ($res != -1) {
-            $new_status = Status::getStatusTitle($HTTP_POST_VARS['new_status']);
+            $new_status = Status::getStatusTitle($_POST['new_status']);
             History::add($issue_id, $usr_id, History::getTypeID('status_changed'), "Status changed to '$new_status' by " . User::getFullName($usr_id) . " when sending an email");
         }
     }
     // remove the existing email draft, if appropriate
-    if (!empty($HTTP_POST_VARS['draft_id'])) {
-        Draft::remove($HTTP_POST_VARS['draft_id']);
+    if (!empty($_POST['draft_id'])) {
+        Draft::remove($_POST['draft_id']);
     }
     // enter the time tracking entry about this new email
-    if (!empty($HTTP_POST_VARS['time_spent'])) {
-        $HTTP_POST_VARS['issue_id'] = $issue_id;
-        $HTTP_POST_VARS['category'] = Time_Tracking::getCategoryID('Email Discussion');
-        $HTTP_POST_VARS['summary'] = 'Time entry inserted when sending outgoing email.';
+    if (!empty($_POST['time_spent'])) {
+        $_POST['issue_id'] = $issue_id;
+        $_POST['category'] = Time_Tracking::getCategoryID('Email Discussion');
+        $_POST['summary'] = 'Time entry inserted when sending outgoing email.';
         Time_Tracking::insertEntry();
     }
-} elseif (@$HTTP_POST_VARS["cat"] == "save_draft") {
-    $res = Draft::saveEmail($issue_id, $HTTP_POST_VARS["to"], $HTTP_POST_VARS["cc"], $HTTP_POST_VARS["subject"], $HTTP_POST_VARS["message"], $HTTP_POST_VARS["parent_id"]);
+} elseif (@$_POST["cat"] == "save_draft") {
+    $res = Draft::saveEmail($issue_id, $_POST["to"], $_POST["cc"], $_POST["subject"], $_POST["message"], $_POST["parent_id"]);
     $tpl->assign("draft_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "update_draft") {
-    $res = Draft::update($issue_id, $HTTP_POST_VARS["draft_id"], $HTTP_POST_VARS["to"], $HTTP_POST_VARS["cc"], $HTTP_POST_VARS["subject"], $HTTP_POST_VARS["message"], $HTTP_POST_VARS["parent_id"]);
+} elseif (@$_POST["cat"] == "update_draft") {
+    $res = Draft::update($issue_id, $_POST["draft_id"], $_POST["to"], $_POST["cc"], $_POST["subject"], $_POST["message"], $_POST["parent_id"]);
     $tpl->assign("draft_result", $res);
 }
 
 // enter the time tracking entry about this new email
-if ((@$HTTP_POST_VARS["cat"] == "save_draft") || (@$HTTP_POST_VARS["cat"] == "update_draft")) {
-    if (!empty($HTTP_POST_VARS['time_spent'])) {
-        $HTTP_POST_VARS['issue_id'] = $issue_id;
-        $HTTP_POST_VARS['category'] = Time_Tracking::getCategoryID('Email Discussion');
-        $HTTP_POST_VARS['summary'] = 'Time entry inserted when saving an email draft.';
+if ((@$_POST["cat"] == "save_draft") || (@$_POST["cat"] == "update_draft")) {
+    if (!empty($_POST['time_spent'])) {
+        $_POST['issue_id'] = $issue_id;
+        $_POST['category'] = Time_Tracking::getCategoryID('Email Discussion');
+        $_POST['summary'] = 'Time entry inserted when saving an email draft.';
         Time_Tracking::insertEntry();
     }
 }
 
-if (@$HTTP_GET_VARS['cat'] == 'view_draft') {
-    $draft = Draft::getDetails($HTTP_GET_VARS['id']);
+if (@$_GET['cat'] == 'view_draft') {
+    $draft = Draft::getDetails($_GET['id']);
     $email = array(
         'sup_subject' => $draft['emd_subject'],
         'seb_body'    => $draft['emd_body'],
@@ -108,13 +108,13 @@
     );
     // try to guess the correct email account to be associated with this email
     if (!empty($draft['emd_sup_id'])) {
-        $HTTP_GET_VARS['ema_id'] = Email_Account::getAccountByEmail($draft['emd_sup_id']);
+        $_GET['ema_id'] = Email_Account::getAccountByEmail($draft['emd_sup_id']);
     } else {
         // if we are not replying to an existing message, just get the first email account you can find...
-        $HTTP_GET_VARS['ema_id'] = Email_Account::getEmailAccount();
+        $_GET['ema_id'] = Email_Account::getEmailAccount();
     }
     $tpl->bulkAssign(array(
-        "draft_id"        => $HTTP_GET_VARS['id'],
+        "draft_id"        => $_GET['id'],
         "email"           => $email,
         "parent_email_id" => $draft['emd_sup_id'],
         "draft_status"    => $draft['emd_status']
@@ -122,24 +122,24 @@
     if ($draft['emd_status'] != 'pending') {
         $tpl->assign("read_only", 1);
     }
-} elseif (@$HTTP_GET_VARS['cat'] == 'create_draft') {
+} elseif (@$_GET['cat'] == 'create_draft') {
     $tpl->assign("hide_email_buttons", "yes");
 } else {
-    if (!@empty($HTTP_GET_VARS["id"])) {
-        $email = Support::getEmailDetails($HTTP_GET_VARS["ema_id"], $HTTP_GET_VARS["id"]);
+    if (!@empty($_GET["id"])) {
+        $email = Support::getEmailDetails($_GET["ema_id"], $_GET["id"]);
         $date = Misc::formatReplyDate($email["timestamp"]);
         $header = "\n\n\nOn $date, " . $email["sup_from"] . " wrote:\n>\n";
         $email['seb_body'] = $header . Misc::formatReply($email['seb_body']);
         $tpl->bulkAssign(array(
             "email"           => $email,
-            "parent_email_id" => $HTTP_GET_VARS["id"]
+            "parent_email_id" => $_GET["id"]
         ));
     }
 }
 
 // special handling when someone tries to 'reply' to an issue
-if (@$HTTP_GET_VARS["cat"] == 'reply') {
-    $details = Issue::getReplyDetails($HTTP_GET_VARS['issue_id']);
+if (@$_GET["cat"] == 'reply') {
+    $details = Issue::getReplyDetails($_GET['issue_id']);
     if ($details != '') {
         $date = Misc::formatReplyDate($details['created_date_ts']);
         $header = "\n\n\nOn $date, " . $details['reporter'] . " wrote:\n>\n";
@@ -148,7 +148,7 @@
         $tpl->bulkAssign(array(
             "email"           => $details,
             "parent_email_id" => 0,
-            "extra_title"     => "Issue #" . $HTTP_GET_VARS['issue_id'] . ": Reply"
+            "extra_title"     => "Issue #" . $_GET['issue_id'] . ": Reply"
         ));
     }
 }
@@ -162,8 +162,8 @@
     $tpl->assign("can_send_email", Support::isAllowedToEmail($issue_id, $sender_details["usr_email"]));
     $tpl->assign('subscribers', Notification::getSubscribers($issue_id, 'emails'));
 }
-if ((!@empty($HTTP_GET_VARS["ema_id"])) || (!@empty($HTTP_POST_VARS["ema_id"]))) {
-    @$tpl->assign("ema_id", $HTTP_GET_VARS["ema_id"] ? $HTTP_GET_VARS["ema_id"] : $HTTP_POST_VARS["ema_id"]);
+if ((!@empty($_GET["ema_id"])) || (!@empty($_POST["ema_id"]))) {
+    @$tpl->assign("ema_id", $_GET["ema_id"] ? $_GET["ema_id"] : $_POST["ema_id"]);
 }
 $tpl->assign("from", User::getFromHeader($usr_id));
 
Index: benchmark.php
===================================================================
--- benchmark.php	(revision 3164)
+++ benchmark.php	(working copy)
@@ -36,7 +36,7 @@
 
 $font = FF_FONT1;
 
-$stats = unserialize(base64_decode($HTTP_POST_VARS["encoded_stats"]));
+$stats = unserialize(base64_decode($_POST["encoded_stats"]));
 $labels = array();
 $data = array();
 foreach ($stats as $point) {
Index: confirm.php
===================================================================
--- confirm.php	(revision 3164)
+++ confirm.php	(working copy)
@@ -36,20 +36,20 @@
 $tpl = new Template_API();
 $tpl->setTemplate("confirm.tpl.html");
 
-if (@$HTTP_GET_VARS['cat'] == 'newuser') {
-    $res = @User::checkHash($HTTP_GET_VARS["email"], $HTTP_GET_VARS["hash"]);
+if (@$_GET['cat'] == 'newuser') {
+    $res = @User::checkHash($_GET["email"], $_GET["hash"]);
     if ($res == 1) {
-        User::confirmVisitorAccount($HTTP_GET_VARS["email"]);
+        User::confirmVisitorAccount($_GET["email"]);
         // redirect user to login form with pretty message
-        Auth::redirect('index.php?err=8&email=' . $HTTP_GET_VARS["email"]);
+        Auth::redirect('index.php?err=8&email=' . $_GET["email"]);
         exit;
     }
     $tpl->assign("confirm_result", $res);
-} elseif (@$HTTP_GET_VARS['cat'] == 'password') {
-    $res = @User::checkHash($HTTP_GET_VARS["email"], $HTTP_GET_VARS["hash"]);
+} elseif (@$_GET['cat'] == 'password') {
+    $res = @User::checkHash($_GET["email"], $_GET["hash"]);
     if ($res == 1) {
-        User::confirmNewPassword($HTTP_GET_VARS["email"]);
-        $tpl->assign("email", $HTTP_GET_VARS["email"]);
+        User::confirmNewPassword($_GET["email"]);
+        $tpl->assign("email", $_GET["email"]);
     }
     $tpl->assign("confirm_result", $res);
 }
Index: view_note.php
===================================================================
--- view_note.php	(revision 3164)
+++ view_note.php	(working copy)
@@ -42,7 +42,7 @@
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 $usr_id = Auth::getUserID();
 
-$note = Note::getDetails($HTTP_GET_VARS["id"]);
+$note = Note::getDetails($_GET["id"]);
 
 if ($note == '') {
     $tpl->assign("note", '');
@@ -50,7 +50,7 @@
     exit;
 } else {
     $note["message"] = $note["not_note"];
-    $issue_id = Note::getIssueID($HTTP_GET_VARS["id"]);
+    $issue_id = Note::getIssueID($_GET["id"]);
     $usr_id = Auth::getUserID();
 }
 
@@ -60,18 +60,18 @@
     exit;
 }
 
-$note = Note::getDetails($HTTP_GET_VARS["id"]);
+$note = Note::getDetails($_GET["id"]);
 $note["message"] = $note["not_note"];
 
-$issue_id = Note::getIssueID($HTTP_GET_VARS["id"]);
+$issue_id = Note::getIssueID($_GET["id"]);
 $tpl->bulkAssign(array(
     "note"        => $note,
     "issue_id"    => $issue_id,
-    'extra_title' => "Note #" . $HTTP_GET_VARS['num'] . ": " . $note['not_title']
+    'extra_title' => "Note #" . $_GET['num'] . ": " . $note['not_title']
 ));
 
 if (!empty($issue_id)) {
-    $sides = Note::getSideLinks($issue_id, $HTTP_GET_VARS["id"]);
+    $sides = Note::getSideLinks($issue_id, $_GET["id"]);
     $tpl->assign(array(
         'previous' => $sides['previous'],
         'next'     => $sides['next']
Index: adv_search.php
===================================================================
--- adv_search.php	(revision 3164)
+++ adv_search.php	(working copy)
@@ -83,14 +83,14 @@
     "reporters"     => Project::getReporters($prj_id)
 ));
 
-if (!empty($HTTP_GET_VARS["custom_id"])) {
+if (!empty($_GET["custom_id"])) {
     $check_perm = true;
-    if (Filter::isGlobal($HTTP_GET_VARS["custom_id"])) {
+    if (Filter::isGlobal($_GET["custom_id"])) {
         if ($role_id >= User::getRoleID('Manager')) {
             $check_perm = false;
         }
     }
-    $tpl->assign("options", Filter::getDetails($HTTP_GET_VARS["custom_id"], $check_perm));
+    $tpl->assign("options", Filter::getDetails($_GET["custom_id"], $check_perm));
 }
 
 $tpl->displayTemplate();
Index: scm_ping.php
===================================================================
--- scm_ping.php	(revision 3164)
+++ scm_ping.php	(working copy)
@@ -40,21 +40,21 @@
 include_once(APP_INC_PATH . "class.workflow.php");
 include_once(APP_INC_PATH . "db_access.php");
 
-foreach ($HTTP_GET_VARS['issue'] as $issue_id) {
+foreach ($_GET['issue'] as $issue_id) {
     $files = array();
-    for ($y = 0; $y < count($HTTP_GET_VARS['files']); $y++) {
+    for ($y = 0; $y < count($_GET['files']); $y++) {
         SCM::logCheckin($issue_id, $y);
         $files[] = array(
-            'file' => $HTTP_GET_VARS['files'][$y],
-            'old_version' => $HTTP_GET_VARS['old_versions'][$y],
-            'new_version' => $HTTP_GET_VARS['new_versions'][$y],
+            'file' => $_GET['files'][$y],
+            'old_version' => $_GET['old_versions'][$y],
+            'new_version' => $_GET['new_versions'][$y],
         );
     }
 
     $prj_id = Issue::getProjectID($issue_id);
-    $module = $HTTP_GET_VARS['module'];
-    $username = $HTTP_GET_VARS['username'];
-    $commit_msg = $HTTP_GET_VARS['commit_msg'];
+    $module = $_GET['module'];
+    $username = $_GET['username'];
+    $commit_msg = $_GET['commit_msg'];
 
     Workflow::handleSCMCheckins($prj_id, $issue_id, $module, $files, $username, $commit_msg);
 }
Index: custom_fields.php
===================================================================
--- custom_fields.php	(revision 3164)
+++ custom_fields.php	(working copy)
@@ -39,7 +39,7 @@
 Auth::checkAuthentication(APP_COOKIE);
 
 $prj_id = Auth::getCurrentProject();
-$issue_id = @$HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : $HTTP_GET_VARS["issue_id"];
+$issue_id = @$_POST["issue_id"] ? $_POST["issue_id"] : $_GET["issue_id"];
 
 if (!Issue::canAccess($issue_id, Auth::getUserID())) {
     $tpl = new Template_API();
@@ -48,7 +48,7 @@
     exit;
 }
 
-if (@$HTTP_POST_VARS["cat"] == "update_values") {
+if (@$_POST["cat"] == "update_values") {
     $res = Custom_Field::updateValues();
     $tpl->assign("update_result", $res);
     $tpl->assign("current_user_prefs", Prefs::get(Auth::getUserID()));
Index: view_headers.php
===================================================================
--- view_headers.php	(revision 3164)
+++ view_headers.php	(working copy)
@@ -38,10 +38,10 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
-if (@$HTTP_GET_VARS['cat'] == 'note') {
-    $headers = Note::getBlockedMessage($HTTP_GET_VARS["id"]);
+if (@$_GET['cat'] == 'note') {
+    $headers = Note::getBlockedMessage($_GET["id"]);
 } else {
-    $headers = Support::getFullEmail($HTTP_GET_VARS["id"]);
+    $headers = Support::getFullEmail($_GET["id"]);
 }
 $tpl->assign("headers", $headers);
 
Index: faq.php
===================================================================
--- faq.php	(revision 3164)
+++ faq.php	(working copy)
@@ -61,8 +61,8 @@
 }
 $tpl->assign("faqs", FAQ::getListBySupportLevel($support_level_id));
 
-if (!empty($HTTP_GET_VARS["id"])) {
-    $t = FAQ::getDetails($HTTP_GET_VARS['id']);
+if (!empty($_GET["id"])) {
+    $t = FAQ::getDetails($_GET['id']);
     // check if this customer should have access to this FAQ entry or not
     if (($support_level_id != -1) && (!in_array($support_level_id, $t['support_levels']))) {
         $tpl->assign('faq', -1);
Index: download.php
===================================================================
--- download.php	(revision 3164)
+++ download.php	(working copy)
@@ -42,8 +42,8 @@
 // fix for IE6 (KB812935)
 header('Cache-Control: must-revalidate');
 
-if ($HTTP_GET_VARS['cat'] == 'attachment') {
-    $file = Attachment::getDetails($HTTP_GET_VARS["id"]);
+if ($_GET['cat'] == 'attachment') {
+    $file = Attachment::getDetails($_GET["id"]);
     if (!empty($file)) {
         if (!Issue::canAccess($file['iat_iss_id'], Auth::getUserID())) {
             $tpl = new Template_API();
Index: view.php
===================================================================
--- view.php	(revision 3164)
+++ view.php	(working copy)
@@ -54,7 +54,7 @@
 
 $associated_projects = @array_keys(Project::getAssocList($usr_id));
 
-@$issue_id = $HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : $HTTP_GET_VARS["id"];
+@$issue_id = $_POST["issue_id"] ? $_POST["issue_id"] : $_GET["id"];
 $tpl->assign("extra_title", "Issue #$issue_id Details");
 
 // check if the requested issue is a part of the 'current' project. If it doesn't
Index: time_tracking.php
===================================================================
--- time_tracking.php	(revision 3164)
+++ time_tracking.php	(working copy)
@@ -38,7 +38,7 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
-$issue_id = @$HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : $HTTP_GET_VARS["iss_id"];
+$issue_id = @$_POST["issue_id"] ? $_POST["issue_id"] : $_GET["iss_id"];
 
 if (!Issue::canAccess($issue_id, Auth::getUserID())) {
     $tpl = new Template_API();
@@ -47,7 +47,7 @@
     exit;
 }
 
-if (@$HTTP_POST_VARS["cat"] == "add_time") {
+if (@$_POST["cat"] == "add_time") {
     $res = Time_Tracking::insertEntry();
     $tpl->assign("time_add_result", $res);
 }
Index: update.php
===================================================================
--- update.php	(revision 3164)
+++ update.php	(working copy)
@@ -52,7 +52,7 @@
 
 Auth::checkAuthentication(APP_COOKIE);
 
-$issue_id = @$HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : @$HTTP_GET_VARS["id"];
+$issue_id = @$_POST["issue_id"] ? $_POST["issue_id"] : @$_GET["id"];
 
 if (empty($issue_id)) {
     $tpl->displayTemplate();
@@ -80,10 +80,10 @@
     $tpl->assign("auth_customer", 'denied');
 } else {
     $new_prj_id = Issue::getProjectID($issue_id);
-    if (@$HTTP_POST_VARS["cat"] == "update") {
-        $res = Issue::update($HTTP_POST_VARS["issue_id"]);
+    if (@$_POST["cat"] == "update") {
+        $res = Issue::update($_POST["issue_id"]);
         $tpl->assign("update_result", $res);
-        if (Issue::hasDuplicates($HTTP_POST_VARS["issue_id"])) {
+        if (Issue::hasDuplicates($_POST["issue_id"])) {
             $tpl->assign("has_duplicates", "yes");
         }
     }
Index: forgot_password.php
===================================================================
--- forgot_password.php	(revision 3164)
+++ forgot_password.php	(working copy)
@@ -36,11 +36,11 @@
 $tpl = new Template_API();
 $tpl->setTemplate("forgot_password.tpl.html");
 
-if (@$HTTP_POST_VARS["cat"] == "reset_password") {
-    if (empty($HTTP_POST_VARS["email"])) {
+if (@$_POST["cat"] == "reset_password") {
+    if (empty($_POST["email"])) {
         $tpl->assign("result", 4);
     }
-    $usr_id = User::getUserIDByEmail($HTTP_POST_VARS["email"]);
+    $usr_id = User::getUserIDByEmail($_POST["email"]);
     if (empty($usr_id)) {
         $tpl->assign("result", 5);
     } else {
Index: post.php
===================================================================
--- post.php	(revision 3164)
+++ post.php	(working copy)
@@ -37,7 +37,7 @@
 $tpl = new Template_API();
 $tpl->setTemplate("post.tpl.html");
 
-if (@$HTTP_POST_VARS["cat"] == "report") {
+if (@$_POST["cat"] == "report") {
     $res = Issue::addAnonymousReport();
     if ($res != -1) {
         // show direct links to the issue page, issue listing page and email listing page
@@ -46,21 +46,21 @@
         // need to show everything again
         $tpl->assign("error_msg", "1");
     }
-} elseif (@$HTTP_GET_VARS["post_form"] == "yes") {
+} elseif (@$_GET["post_form"] == "yes") {
     // only list those projects that are allowing anonymous reporting of new issues
     $projects = Project::getAnonymousList();
     if (empty($projects)) {
         $tpl->assign("no_projects", "1");
     } else {
-        if (!in_array($HTTP_GET_VARS["project"], array_keys($projects))) {
+        if (!in_array($_GET["project"], array_keys($projects))) {
             $tpl->assign("no_projects", "1");
         } else {
             // get list of custom fields for the selected project
-            $options = Project::getAnonymousPostOptions($HTTP_GET_VARS["project"]);
+            $options = Project::getAnonymousPostOptions($_GET["project"]);
             if (@$options["show_custom_fields"] == "yes") {
-                $tpl->assign("custom_fields", Custom_Field::getListByProject($HTTP_GET_VARS["project"], 'anonymous_form'));
+                $tpl->assign("custom_fields", Custom_Field::getListByProject($_GET["project"], 'anonymous_form'));
             }
-            $tpl->assign("project_name", Project::getName($HTTP_GET_VARS["project"]));
+            $tpl->assign("project_name", Project::getName($_GET["project"]));
         }
     }
 } else {
Index: help.php
===================================================================
--- help.php	(revision 3164)
+++ help.php	(working copy)
@@ -38,10 +38,10 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
-if ((empty($HTTP_GET_VARS["topic"])) || (!Help::topicExists($HTTP_GET_VARS["topic"]))) {
+if ((empty($_GET["topic"])) || (!Help::topicExists($_GET["topic"]))) {
     $topic = 'main';
 } else {
-    $topic = $HTTP_GET_VARS["topic"];
+    $topic = $_GET["topic"];
 }
 $tpl->assign("topic", $topic);
 $tpl->assign("links", Help::getNavigationLinks($topic));
Index: new.php
===================================================================
--- new.php	(revision 3164)
+++ new.php	(working copy)
@@ -55,7 +55,7 @@
     if (Auth::getCurrentRole() == User::getRoleID('Customer')) {
         $customer_id = User::getCustomerID($usr_id);
         // check if the current customer has already redeemed all available per-incident tickets
-        if ((empty($HTTP_POST_VARS['cat'])) && (Customer::hasPerIncidentContract($prj_id, $customer_id)) &&
+        if ((empty($_POST['cat'])) && (Customer::hasPerIncidentContract($prj_id, $customer_id)) &&
                 (!Customer::hasIncidentsLeft($prj_id, $customer_id))) {
             // show warning about per-incident limitation
             $tpl->setTemplate("customer/" . Customer::getBackendImplementationName($prj_id) . "/incident_limit_reached.tpl.html");
@@ -67,7 +67,7 @@
     }
 }
 
-if (@$HTTP_POST_VARS["cat"] == "report") {
+if (@$_POST["cat"] == "report") {
     $res = Issue::insert();
     if ($res != -1) {
         // show direct links to the issue page, issue listing page and
@@ -82,14 +82,14 @@
     }
 }
 
-if (@$HTTP_GET_VARS["cat"] == "associate") {
-    if (@count($HTTP_GET_VARS["item"]) > 0) {
-        $res = Support::getListDetails($HTTP_GET_VARS["item"]);
+if (@$_GET["cat"] == "associate") {
+    if (@count($_GET["item"]) > 0) {
+        $res = Support::getListDetails($_GET["item"]);
         $tpl->assign("emails", $res);
-        $tpl->assign("attached_emails", @implode(",", $HTTP_GET_VARS["item"]));
+        $tpl->assign("attached_emails", @implode(",", $_GET["item"]));
         if (Customer::hasCustomerIntegration($prj_id)) {
             // also need to guess the contact_id from any attached emails
-            $info = Customer::getCustomerInfoFromEmails($prj_id, $HTTP_GET_VARS["item"]);
+            $info = Customer::getCustomerInfoFromEmails($prj_id, $_GET["item"]);
             $tpl->assign(array(
                 "customer_id"   => $info['customer_id'],
                 'customer_name' => $info['customer_name'],
@@ -100,8 +100,8 @@
         }
         // if we are dealing with just one message, use the subject line as the
         // summary for the issue, and the body as the description
-        if (count($HTTP_GET_VARS["item"]) == 1) {
-            $email_details = Support::getEmailDetails(Email_Account::getAccountByEmail($HTTP_GET_VARS["item"][0]), $HTTP_GET_VARS["item"][0]);
+        if (count($_GET["item"]) == 1) {
+            $email_details = Support::getEmailDetails(Email_Account::getAccountByEmail($_GET["item"][0]), $_GET["item"][0]);
             $tpl->assign(array(
                 'issue_summary'     => $email_details['sup_subject'],
                 'issue_description' => $email_details['seb_body']
Index: csv.php
===================================================================
--- csv.php	(revision 3164)
+++ csv.php	(working copy)
@@ -33,7 +33,7 @@
 
 Auth::checkAuthentication(APP_COOKIE);
 
-$csv = base64_decode($HTTP_POST_VARS["csv_data"]);
+$csv = base64_decode($_POST["csv_data"]);
 
 header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
 header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
Index: removed_emails.php
===================================================================
--- removed_emails.php	(revision 3164)
+++ removed_emails.php	(working copy)
@@ -38,11 +38,11 @@
 
 Auth::checkAuthentication(APP_COOKIE, NULL, true);
 
-if (@$HTTP_POST_VARS["cat"] == "restore") {
+if (@$_POST["cat"] == "restore") {
     $res = Support::restoreEmails();
     $tpl->assign("result_msg", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "remove") {
-    $res = Support::expungeEmails($HTTP_POST_VARS["item"]);
+} elseif (@$_POST["cat"] == "remove") {
+    $res = Support::expungeEmails($_POST["item"]);
     $tpl->assign("result_msg", $res);
 }
 
